Bug 974870 - SVG rendered incorrectly
SVG rendered incorrectly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 16:43 EDT by Ian Pilcher
Modified: 2015-01-26 11:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 12:15:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Slide which shows bug (322.27 KB, application/vnd.oasis.opendocument.presentation)
2013-06-16 16:46 EDT, Ian Pilcher
no flags Details
Screen shot from Fedora 18 (LibreOffice 3.6.6.2) shows correct rendering (168.48 KB, image/png)
2013-06-16 16:49 EDT, Ian Pilcher
no flags Details
Screenshot from Fedora 19 (LibreOffice 4.1.0.0) shows incorrect rendering (192.41 KB, image/png)
2013-06-16 16:56 EDT, Ian Pilcher
no flags Details
SVG file (6.40 KB, image/svg+xml)
2013-06-17 10:06 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2013-06-16 16:43:30 EDT
Description of problem:
SVG graphics that are rendered correctly in libreoffice-impress-3.6.6.2-8.fc18.x86_64 are rendered incorrectly in libreoffice-impress-4.1.0.0-7.beta2.fc19.x86_64.  (The text part of the OpenShift logo at the bottom of the slide is flipped vertically.)

Version-Release number of selected component (if applicable):
libreoffice-impress-4.1.0.0-7.beta2.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. View attached slide in libreoffice-impress-4.1.0.0-7.beta2.fc19.x86_64

Actual results:
Text component of SVG is flipped vertically.

Expected results:
SVG should be rendered correctly.

Additional info:
Comment 1 Ian Pilcher 2013-06-16 16:46:10 EDT
Created attachment 761888 [details]
Slide which shows bug
Comment 2 Ian Pilcher 2013-06-16 16:49:10 EDT
Created attachment 761889 [details]
Screen shot from Fedora 18 (LibreOffice 3.6.6.2) shows correct rendering
Comment 3 Ian Pilcher 2013-06-16 16:56:42 EDT
Created attachment 761890 [details]
Screenshot from Fedora 19 (LibreOffice 4.1.0.0) shows incorrect rendering
Comment 4 Ian Pilcher 2013-06-17 10:06:56 EDT
Created attachment 762037 [details]
SVG file
Comment 5 David Tardon 2013-06-19 04:05:00 EDT
Actually 3.6 renders the picture incorrectly as well .-) That is because it is rotated by 180 degrees and vertically mirrored. I do not see how you got that (I suppose it is a bug in save to ODF), because I cannot reproduce it with 3.6 .
Comment 6 David Tardon 2013-06-19 04:05:57 EDT
*horizontally mirrored
Comment 7 Ian Pilcher 2013-06-19 17:48:44 EDT
(In reply to David Tardon from comment #5)
> Actually 3.6 renders the picture incorrectly as well .-) That is because it
> is rotated by 180 degrees and vertically mirrored. I do not see how you got
> that (I suppose it is a bug in save to ODF), because I cannot reproduce it
> with 3.6 .

(In reply to David Tardon from comment #6)
> *horizontally mirrored

Now that you've written that, that sounds like exactly what I see from LO 4.  3.6 renders the SVG in exactly the same way that Inkscape does (AFAICS).
Comment 8 David Tardon 2013-06-20 01:03:51 EDT
I see I have not been very clear, so I will try to reiterate:

The SVG itself is fine. But it is inserted rotated by 180 degrees and horizontally mirrored into the presentation. So it is 4.1 that renders the presentation right and 3.6 wrong (becuase the logo _should_ be rotated and mirrored, as specified in the .odg). What I do not know is how you achieved that :-) I tried to reproduce the situation (i.e., insert the svg into presentation master and save the presentation) with 3.6 and 4.1, but it worked correctly in both.
Comment 9 Ian Pilcher 2013-06-20 08:43:15 EDT
(In reply to David Tardon from comment #8)
> The SVG itself is fine. But it is inserted rotated by 180 degrees and
> horizontally mirrored into the presentation. So it is 4.1 that renders the
> presentation right and 3.6 wrong (becuase the logo _should_ be rotated and
> mirrored, as specified in the .odg). What I do not know is how you achieved
> that :-) I tried to reproduce the situation (i.e., insert the svg into
> presentation master and save the presentation) with 3.6 and 4.1, but it
> worked correctly in both.

That makes sense.  Clearly, I have a special talent.  ;-)

I will try to reproduce.
Comment 10 David Tardon 2013-10-08 07:58:50 EDT
Any progress here?
Comment 11 Ian Pilcher 2015-01-26 11:23:55 EST
Clear NEEDINFO flag to stop nag mails.

Note You need to log in before you can comment on or make changes to this bug.